<h3>Animal Info Form</h3>
<form class="formwidth" (ngSubmit)="onSubmit()">
    <table class="fullwidth" cellspacing="0">
        <tr>
            <td>
                <mat-form-field class="fullwidth" appearance="outline">
                    <input matInput placeholder="Health Index" id="health" [(ngModel)]="newAnimal.healthIndex" name="health">
                </mat-form-field>
            </td>
            <td>
                <mat-form-field class="fullwidth" appearance="outline">
                    <input matInput placeholder="Type" id="type" [(ngModel)]="newAnimal.type" name="type">
                </mat-form-field>
            </td>
            <td>
              <mat-form-field class="fullwidth" appearance="outline">
                <input matInput placeholder="Cow ID" id="eventId" [(ngModel)]="newAnimal.cowId" name="eventId">
              </mat-form-field>
            </td>
        </tr>
    </table>
    <table class="fullwidth" cellspacing="0">
        <tr>
            <td>
                <mat-form-field class="fullwidth" appearance="outline">
                    <input matInput placeholder="Lactation Number" id="lactationNumber" [(ngModel)]="newAnimal.lactationNumber" name="lactationNumber">
                </mat-form-field>
            </td>
            <td>
                <mat-form-field class="fullwidth" appearance="outline">
                    <input matInput placeholder=" Days in lactation" id="daysInLactation" [(ngModel)]="newAnimal.daysInLactation" name="daysInLactation">
                </mat-form-field>
            </td>
            <td>
                <mat-form-field class="fullwidth" appearance="outline">
                    <input matInput placeholder="Age in days" id="ageInDays" [(ngModel)]="newAnimal.ageInDays" name="ageInDays">
                    <!-- <md-hint align="end">
                        {{postalcode.value.length}} / 5
                    </md-hint> -->
                </mat-form-field>
            </td>
        </tr>
    </table>
    <table class="fullwidth" cellspacing="0">
      <tr>
          <td>
            <mat-form-field appearance="fill" class="example-form-field">
              <mat-label>Reporting Date Time</mat-label>
              <input matInput #input="ngModel" [(ngModel)]="reportingDateTime" [matDatepicker]="picker" name='1'>
              <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
              <mat-datepicker #picker>
              </mat-datepicker>
            </mat-form-field>
          </td>
          <td>
            <mat-form-field appearance="fill" class="example-form-field">
              <mat-label>End Date</mat-label>
              <input matInput #input="ngModel" [(ngModel)]="endDate" [matDatepicker]="picker1"name='2'>
              <mat-datepicker-toggle matSuffix [for]="picker1"></mat-datepicker-toggle>
              <mat-datepicker #picker1>
              </mat-datepicker>
            </mat-form-field>
          </td>
          <td>
            <mat-form-field appearance="fill" class="example-form-field">
              <mat-label>Min Value Date Time</mat-label>
              <input matInput #input="ngModel" [(ngModel)]="minValueDateTime" [matDatepicker]="picker2" name='3'>
              <mat-datepicker-toggle matSuffix [for]="picker2"></mat-datepicker-toggle>
              <mat-datepicker #picker2>
              </mat-datepicker>
            </mat-form-field>
          </td>
      </tr>
  </table>
    <div class="button-row">
        <button mat-flat-button color="primary"  type="submit" md-raised-button>Submit</button>
        <button mat-flat-button color="warn" routerLink="/">Cancel</button>

    </div>
</form>
